#include "scripts.h"
#include "engine.h"
#include <time.h>
#include "helper_functions.h"


int Helper::Get_ID(GameObject *o)
{
	if(o)
	{
		return Commands->Get_ID(o);	
	}
	printf("Couldn't get ID from GameObject");
	return 0;
}

GameObject* Helper::Get_GameObject(int pID)
{
	GameObject* o;

	o = Get_GameObj(pID);
	if (o)
		return o;

	printf("Couldn't get GameObject from pID");
	return 0;
}

int Helper::Random_Int(int options)
{
 srand ( (unsigned int)time(NULL) );
 return (rand() % options);
}